#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>
#import "MyPDFView.h"


@class PDFMatteView, PDFDisplayView, PDFViewController, PDFPageTransition, PDFCoachMarkController, PDFPopupView ;

@interface PDFDisplayView : NSView
{
    id _pdfView;
    int _allowsAntialiasing;
    int _wasMinInterp;
    int _wasMaxInterp;
    int _periodicFlushThreadState;
    NSTextField *_passwordField;
    NSView *_passwordView;
    NSTextField *_passwordPrompt;
    unsigned int _numAccessibilityLines;
    struct _accessibilityLineType {
        struct _NSRange _field1;
        struct _NSRange _field2;
        PDFPage *_field3;
    } *_accessibilityLines;
    unsigned int _accessibilityNumChars;
}

- (void)dealloc;
- (void)finalize;
- (BOOL)acceptsFirstMouse:(id)arg1;
- (BOOL)acceptsFirstResponder;
- (BOOL)canBecomeKeyView;
- (void)scrollWheel:(id)arg1;
- (void)print:(id)arg1;
- (void)setParentPDFView:(id)arg1;
- (void)drawRect:(NSRect)dirtyRect;
- (void)drawPDFHighLevel:(id)arg1;
- (void)setupDrawingState:(CGContextRef)ctx page:(PDFPage*)page;
- (void)setupDrawingState:(CGContextRef)ctx page:(PDFPage*)page forScale:(float)scale;
- (void)restoreDrawingState:(CGContextRef)ctx;
- (void)periodicFlushRoutine:(id)sender;
- (double)flushInterval;
- (int)periodicFlushThreadState;
- (void)setPeriodicFlushThreadState:(int)state;
- (void)flushPDFWindow;
- (NSMenu *)menuForEvent:(NSEvent*)theEvent;
- (id)passwordView;
- (void)appendPasswordView;
- (void)removePasswordView;
- (void)passwordEntered:(id)arg1;

@end

@interface MyPDFDisplayView : NSView
{
	id _pdfView;
    int _allowsAntialiasing;
    //int _wasMinInterp;
    //int _wasMaxInterp;
    int _periodicFlushThreadState;
    //NSTextField *_passwordField;
    //NSView *_passwordView;
    //NSTextField *_passwordPrompt;
    //unsigned int _numAccessibilityLines;
    //struct _accessibilityLineType {
    //    struct _NSRange _field1;
    //    struct _NSRange _field2;
    //    PDFPage *_field3;
    //} *_accessibilityLines;
    //unsigned int _accessibilityNumChars;
	
}
- (void)dealloc;
- (void)finalize;
- (BOOL)acceptsFirstMouse:(id)arg1;
- (BOOL)acceptsFirstResponder;
- (BOOL)canBecomeKeyView;
- (void)scrollWheel:(id)arg1;
- (void)print:(id)arg1;
- (void)setParentPDFView:(id)arg1;
- (void)drawRect:(NSRect)dirtyRect;
- (void)drawPDFHighLevel:(id)arg1;
- (void)setupDrawingState:(CGContextRef)ctx page:(PDFPage*)page;
- (void)setupDrawingState:(CGContextRef)ctx page:(PDFPage*)page forScale:(float)scale;
- (void)periodicFlushRoutine:(id)sender;
- (double)flushInterval;
- (int)periodicFlushThreadState;
- (void)setPeriodicFlushThreadState:(int)state;
- (void)flushPDFWindow;
- (NSMenu *)menuForEvent:(NSEvent*)theEvent;
- (id)passwordView;
- (void)appendPasswordView;
- (void)removePasswordView;
- (void)passwordEntered:(id)arg1;







- (BOOL)accessibilityIsIgnored;
- (id)accessibilityFocusedUIElement;
- (id)accessibilityAttributeNames;
- (BOOL)accessibilityIsAttributeSettable:(id)arg1;
- (void)accessibilitySetValue:(id)arg1 forAttribute:(id)arg2;
- (id)accessibilityParameterizedAttributeNames;
- (id)accessibilityRoleAttribute;
- (id)accessibilityRoleDescriptionAttribute;
- (id)accessibilityValueAttribute;
- (BOOL)accessibilityIsValueAttributeSettable;
- (id)accessibilitySelectedTextAttribute;
- (BOOL)accessibilityIsSelectedTextAttributeSettable;
- (id)accessibilitySelectedTextRangeAttribute;
- (id)accessibilityNumberOfCharactersAttribute;
- (BOOL)accessibilityIsNumberOfCharactersAttributeSettable;
- (id)accessibilityVisibleCharacterRangeAttribute;
- (BOOL)accessibilityIsVisibleCharacterRangeAttributeSettable;
- (id)accessibilityLineForIndexAttributeForParameter:(id)arg1;
- (id)accessibilityRangeForLineAttributeForParameter:(id)arg1;
- (id)accessibilityStringForRangeAttributeForParameter:(id)arg1;
- (id)accessibilityBoundsForRangeAttributeForParameter:(id)arg1;
- (struct _NSRange)accessibilityRangeForSelection:(id)arg1;
- (id)selectionForAccessibilityRange:(struct _NSRange)arg1;
- (void)generateAccessibilityTable;
- (void)invalidateTextSelection;
- (void)invalidateAccessibilityTable;



@end

