#import "MyPDFDisplayView.h"



@implementation  MyPDFDisplayView




- (BOOL)acceptsFirstMouse:(id)sender
{
	return NO;
}

- (BOOL)acceptsFirstResponder
{
	return NO;
}

- (BOOL)canBecomeKeyView
{
	return NO;
}

- (void)scrollWheel:(id)arg1
{
	[super scrollWheel:arg1];
}

- (int)periodicFlushThreadState
{
	return _periodicFlushThreadState;
}

- (void)setPeriodicFlushThreadState:(int)state
{
	_periodicFlushThreadState = state;
}

- (void)periodicFlushRoutine:(id)sender
{
	//[super periodicFlushRoutine:sender];
}

- (void)print:(id)arg1
{
	//[super print:arg1];
}

- (void)setParentPDFView:(PDFView*)pdfView;
{
	_pdfView = pdfView;
}

- (NSMenu *)menuForEvent:(NSEvent*)theEvent
{
	return [_pdfView menuForEvent:theEvent];
}

- (void)drawRect:(NSRect)dirtyRect
{
	if ([_pdfView suspendRendering] == NO &&
		[_pdfView inhibitDrawing] == NO) {
		
		[[_pdfView backgroundColor] set];
		
		if ([_pdfView backgroundHasAlpha]) {
			NSRectFillUsingOperation(dirtyRect, NSCompositeSourceOver);
		} else {
			NSRectFill(dirtyRect);
		}


		if ([_pdfView document] == nil ||
			[_pdfView passwordUIDisplayed]) {
			return;
		}
		
		if ([_pdfView doPeriodicFlush] &&
			[_pdfView doDrawPageContent] &&
			[self window] != nil &&
			[self periodicFlushThreadState]) {
			[self setPeriodicFlushThreadState:1];
			[NSThread detachNewThreadSelector:@selector(periodicFlushRoutine:) toTarget:self withObject:self];
		}
		
		[_pdfView findVisiblePages];
		NSArray *visiblePages = [_pdfView visiblePages];
		
		for (PDFPage *page in visiblePages) {
			[self drawPDFHighLevel:page];
		}
		
		if ([_pdfView doDrawPageContent] &&
			[self periodicFlushThreadState]) {
			[self setPeriodicFlushThreadState:2];
		}
		
		[_pdfView handleInitialContentRenderSkip];
	}
}

- (void)drawPDFHighLevel:(PDFPage*)page
{
	NSGraphicsContext *currentContext = [NSGraphicsContext currentContext];
	CGContextRef context = [currentContext graphicsPort];
	[_pdfView drawPagePre:page];
	
	CGContextSaveGState(context);
	
	[self setupDrawingState:context page:page];
	
	[_pdfView drawPage:page];
		
	CGContextRestoreGState(context);
	
	[_pdfView drawPagePost:page];
}

- (void)setupDrawingState:(CGContextRef)ctx page:(PDFPage*)page
{
	[self setupDrawingState:ctx page:page
				   forScale:[_pdfView scaleFactor]];
}

- (void)setupDrawingState:(CGContextRef)ctx page:(PDFPage*)page forScale:(float)scale
{
	double gutterOffset = [_pdfView gutterOffsetForPageDisplay:page];
	if (gutterOffset > 0.) {
		CGAffineTransform trans = CGAffineTransformMakeTranslation(0.0, gutterOffset);
		CGContextConcatCTM(ctx, trans);
	}
	
	if (scale != 1.0) {
		CGAffineTransform trans = CGAffineTransformMakeScale(scale, scale);
		CGContextConcatCTM(ctx, trans);
	}
	
	NSPoint origin = [_pdfView originForPageDisplay:page];
	CGContextConcatCTM(ctx, 
					   CGAffineTransformMakeTranslation(origin.x, origin.y));
	
	CGContextSetAllowsAntialiasing(ctx, [_pdfView shouldAntiAlias]);
}



- (void)flushPDFWindow
{
	//[super flushPDFWindow];
}

- (id)passwordView
{
	return nil;
}
- (void)appendPasswordView
{
}

- (void)removePasswordView
{
}

- (void)passwordEntered:(id)arg1
{
}

- (double)flushInterval
{
	return [_pdfView periodicFlushInterval];
}

- (void)dealloc
{
	[super dealloc];
}

- (void)finalize
{
	[super finalize];
}


- (BOOL)accessibilityIsIgnored
{
	return YES;
}

- (id)accessibilityFocusedUIElement
{
	return nil;
}

- (id)accessibilityAttributeNames
{
	return nil;
}


- (BOOL)accessibilityIsAttributeSettable:(id)arg1
{
	return NO;
}


- (void)accessibilitySetValue:(id)arg1 forAttribute:(id)arg2
{
}


- (id)accessibilityParameterizedAttributeNames
{
	return nil;
}


- (id)accessibilityRoleAttribute
{
	return nil;
}


- (id)accessibilityRoleDescriptionAttribute
{
	return nil;
}


- (id)accessibilityValueAttribute
{
	return nil;
}

- (BOOL)accessibilityIsValueAttributeSettable
{
	return NO;
}


- (id)accessibilitySelectedTextAttribute
{
	return nil;
}


- (BOOL)accessibilityIsSelectedTextAttributeSettable
{
	return NO;
}


- (id)accessibilitySelectedTextRangeAttribute
{
	return nil;
}


- (id)accessibilityNumberOfCharactersAttribute
{
	return nil;
}


- (BOOL)accessibilityIsNumberOfCharactersAttributeSettable
{
	return NO;
}


- (id)accessibilityVisibleCharacterRangeAttribute
{
	return nil;
}


- (BOOL)accessibilityIsVisibleCharacterRangeAttributeSettable
{
	return NO;
}


- (id)accessibilityLineForIndexAttributeForParameter:(id)arg1
{
	return nil;
}


- (id)accessibilityRangeForLineAttributeForParameter:(id)arg1
{
	return nil;
}


- (id)accessibilityStringForRangeAttributeForParameter:(id)arg1
{
	return nil;
}


- (id)accessibilityBoundsForRangeAttributeForParameter:(id)arg1
{
	return nil;
}


- (struct _NSRange)accessibilityRangeForSelection:(id)arg1
{
	NSRange range = {0,0};
	return range;
}


- (id)selectionForAccessibilityRange:(struct _NSRange)arg1
{
	return nil;
}


- (void)generateAccessibilityTable
{
}

- (void)invalidateTextSelection
{
}


- (void)invalidateAccessibilityTable
{
}




@end