#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>
#import "MyPDFDisplayView.h"
#import "MyPDFMatteView.h"



@class MyPDFMatteView, MyPDFDisplayView, PDFViewController, PDFPageTransition, PDFCoachMarkController, PDFPopupView ;





#define NEW_METHODS 1

#define NEW_PDFVIEW 1


#if NEW_PDFVIEW

@interface MyPDFView : NSView
{
@public
    PDFViewPrivateVars *_pdfPriv;
}

- (PDFDocument *) document;
- (void) setDocument: (PDFDocument *) document;
- (BOOL) canGoToFirstPage;
- (IBAction) goToFirstPage: (id) sender;
- (BOOL) canGoToLastPage;
- (IBAction) goToLastPage: (id) sender;
- (BOOL) canGoToNextPage;
- (IBAction) goToNextPage: (id) sender;
- (BOOL) canGoToPreviousPage;
- (IBAction) goToPreviousPage: (id) sender;
- (BOOL) canGoBack;
- (IBAction) goBack: (id) sender;
- (BOOL) canGoForward;
- (IBAction) goForward: (id) sender;
- (PDFPage *) currentPage;
- (void) goToPage: (PDFPage *) page;
- (PDFDestination *) currentDestination;
- (void) goToDestination: (PDFDestination *) destination;
- (void) goToSelection: (PDFSelection *) selection;
- (void) goToRect: (NSRect) rect onPage: (PDFPage *) page;
- (void) setDisplayMode: (PDFDisplayMode) mode;
- (PDFDisplayMode) displayMode;
- (void) setDisplaysPageBreaks: (BOOL) breaks;
- (BOOL) displaysPageBreaks;
- (void) setDisplayBox: (PDFDisplayBox) box;
- (PDFDisplayBox) displayBox;
- (void) setDisplaysAsBook: (BOOL) asBook;
- (BOOL) displaysAsBook;
- (void) setShouldAntiAlias: (BOOL) aliasing;
- (BOOL) shouldAntiAlias;
- (void) setGreekingThreshold: (CGFloat) threshold;
- (CGFloat) greekingThreshold;
- (IBAction) takeBackgroundColorFrom: (id) sender;
- (void) setBackgroundColor: (NSColor *) newColor;
- (NSColor *) backgroundColor;
- (void) setDelegate: (id) anObject;
- (id) delegate;
- (void) setScaleFactor: (float) scale;
- (CGFloat) scaleFactor;
- (IBAction) zoomIn: (id) sender;
- (BOOL) canZoomIn;
- (IBAction) zoomOut: (id) sender;
- (BOOL) canZoomOut;
- (void) setAutoScales: (BOOL) newAuto;
- (BOOL) autoScales;
- (PDFAreaOfInterest) areaOfInterestForMouse: (NSEvent *) event;
- (void) setCursorForAreaOfInterest: (PDFAreaOfInterest) area;
- (void) performAction: (PDFAction *) action;
- (PDFSelection *) currentSelection;
- (void) setCurrentSelection: (PDFSelection *) selection;
- (void) setCurrentSelection: (PDFSelection *) selection animate: (BOOL) animate;
- (void) clearSelection;
- (IBAction) selectAll: (id) sender;
- (void) scrollSelectionToVisible: (id) sender;
- (void) setHighlightedSelections: (NSArray *) selections;
- (NSArray *) highlightedSelections;
- (void) takePasswordFrom: (id) sender;
- (void) drawPage: (PDFPage *) page;
- (void) drawPagePost: (PDFPage *) page;
- (void) copy: (id) sender;
- (void) printWithInfo: (NSPrintInfo *) printInfo autoRotate: (BOOL) doRotate;
- (void) printWithInfo: (NSPrintInfo *) printInfo autoRotate: (BOOL) doRotate pageScaling: (PDFPrintScalingMode) scale;
- (PDFPage *) pageForPoint: (NSPoint) point nearest: (BOOL) nearest;
- (NSPoint) convertPoint: (NSPoint) point toPage: (PDFPage *) page;
- (NSRect) convertRect: (NSRect) rect toPage: (PDFPage *) page;
- (NSPoint) convertPoint: (NSPoint) point fromPage: (PDFPage *) page;
- (NSRect) convertRect: (NSRect) rect fromPage: (PDFPage *) page;
- (NSView *) documentView;
- (void) layoutDocumentView;
- (void) annotationsChangedOnPage: (PDFPage *) page;
- (NSSize) rowSizeForPage: (PDFPage *) page;
- (void) setAllowsDragging: (BOOL) allow;
- (BOOL) allowsDragging;
- (NSArray *) visiblePages;



/*



- (void)commonInit;
- (BOOL)runningWithinInterfaceBuilder;
- (void)loadSamplePDF;
- (void)resetDocumentState;
- (PDFDisplayMode)functionalDisplayMode;
- (void)generatePageViewBounds;
- (void)freePageViewBounds;
- (NSSize)viewSizeForPage:(PDFPage*)page;
- (PDFPage*)nearestPageToPoint:(NSPoint)point;
- (NSPoint)originForPageDisplay:(id)arg1;
- (NSRect)normalizedPageBounds:(id)arg1;
- (CGFloat)pageViewHeight:(id)arg1;
- (BOOL)pageIsLeftOfAPair:(id)arg1;
- (CGFloat)autoScaleFactorForPage:(id)arg1;
- (BOOL)page:(id)arg1 isNeighboringPage:(id)arg2;
- (void)setGutterColor:(id)arg1;
- (id)gutterColor;
- (void)setGutterDefaultsToRightSide:(BOOL)arg1;
- (BOOL)gutterDefaultsToRightSide;
- (CGFloat)gutterOffsetForPageDisplay:(id)arg1; 
- (NSRect)gutterBoundsForPage:(id)arg1;
- (void)setDoPeriodicFlush:(BOOL)arg1;
- (BOOL)doPeriodicFlush;
- (void)setPeriodicFlushInterval:(CGFloat)arg1;
- (CGFloat)periodicFlushInterval;
- (BOOL)doDrawPageContent;
- (void)handleInitialContentRenderSkip;
- (void)scheduledRedisplay:(id)arg1;
- (NSUInteger)lastPageIndex;
- (void)appendPasswordUI:(id)arg1;
- (BOOL)passwordUIDisplayed;
- (void)documentWasUnlocked:(id)arg1;
- (void)documentAnnotationsChanged:(id)arg1;
- (void)removePasswordUI:(id)arg1;
- (id)nextPage;
- (id)previousPage;
- (void)goToTopOfNextPage:(id)arg1;
- (void)goToBottomOfPreviousPage:(id)sender;
- (void)pushDestination:(PDFDestination*)dest;
- (void)goToDestinationNoPush:(PDFDestination*)dest;
- (void)goToPageNoPush:(PDFPage*)page;
- (BOOL)isRectVisible:(struct CGRect)arg1 onPage:(id)arg2;
- (void)internalSetScaleFactor:(float)arg1;
- (void)slamScaleFactor:(CGFloat)arg1;
- (CGFloat)maxScaleFactor;
- (CGFloat)minScaleFactor;
- (BOOL)inhibitDrawing;
- (void)setInhibitDrawing:(BOOL)arg1;
- (void)drawPagePre:(id)arg1;
- (void)drawSelection:(id)arg1 forPage:(id)arg2;
- (void)drawCPSelection:(id)arg1 forPage:(id)arg2;
- (void)createShadowMaskParts;
- (void)drawShadowedRect:(NSRect)rect blur:(float)blur;
- (BOOL)backgroundHasAlpha;
- (void)setAnnotationNeedsDisplay:(id)arg1 padding:(CGFloat)arg2;
- (void)runDataDetectorsOnVisiblePages;
- (void)initInternalViews;
- (void)setupWindowNotifications:(id)arg1;
- (void)selfDidResize:(id)arg1;
- (void)clipViewBoundsChanged:(id)arg1;
- (void)visiblePagesChanged:(id)arg1;
- (void)windowDidChangeKeyState:(id)arg1;
- (void)reflectNewPageOn;
- (void)scheduleSyncPageIndex:(id)arg1;
- (void)cancelScheduleSyncPageIndex;
- (void)syncPageIndexToScrollView;
- (id)determineCurrentPage;
- (NSSize)pageViewSizeForPage:(id)arg1;
- (void)resizeDisplayView:(id)arg1;
- (void)positionInternalViews:(id)arg1;
- (void)constrainedScrollToPoint:(NSPoint)arg1;
- (void)scrollVerticalBy:(CGFloat)arg1;
- (void)scrollHorizontalBy:(CGFloat)arg1;
- (void)scrollByPage:(BOOL)arg1;
- (NSPoint)topOfPage:(PDFPage*)page;
- (NSPoint)bottomOfPage:(PDFPage*)page;
- (NSPoint)scrollOriginForPageTopLeft:(id)arg1;
- (void)findVisiblePages;
- (void)setPopupsAreEditable:(BOOL)arg1;
- (BOOL)popupsAreEditable;
- (void)scanForPopupsUserOpened:(BOOL)arg1;
- (void)layoutPopupViews;
- (void)removeAllPopupViews;
- (void)addPopupView:(id)arg1;
- (void)removePopupView:(id)arg1;
- (void)movePopupToFrontForAnnotation:(id)arg1;
- (void)hitTestPopupViews:(id)arg1;
- (NSRect)popupFrameForAnnotation:(id)arg1;
- (NSRect)popupFrameForAnnotation:(id)arg1 gutterBounds:(struct CGRect)arg2;
- (id)popupViewForAnnotation:(id)arg1;
- (void)positionPopups:(id)arg1 inRect:(struct CGRect)arg2;

- (float)movePopups:(id)arg1 atAndBeforeIndex:(unsigned int)arg2 upBy:(float)arg3 gutterBounds:(NSRect)arg4 lockedBubbleIndex:(unsigned int *)arg5;

- (void)popupViewMoveToFront:(id)arg1;
- (void)popupViewClose:(id)arg1;
- (void)resetPDFTooltips;
- (void)addTooltipsForVisiblePages;
- (void)addTooltipsForPage:(id)arg1;
- (id)view:(id)arg1 stringForToolTip:(long long)arg2 point:(struct CGPoint)arg3 userData:(void *)arg4;
- (void)scrollToSelection:(id)arg1;
- (void)invalidateSelectionBounds:(id)arg1;
- (BOOL)selectedTextActive;
- (void)internalClearSelection;
- (void)animateTransitionFromPage:(id)arg1 toPage:(id)arg2;
- (void)endPageTransition:(id)arg1 context:(void *)arg2;
- (unsigned int)scrollEntryPoint;
- (BOOL)shouldAnimateScroll;
- (BOOL)animateNeighboringPageChangeOnly;
- (CGFloat)maximumScrollAnimationDistance;
- (void)setAnimateFlag:(unsigned int)arg1;
- (unsigned int)animateFlag;
- (void)startAnimateZoomToScaleFactor:(CGFloat)arg1;
- (BOOL)suspendRendering;
- (void)createTransition:(int)arg1 forView:(id)arg2;
- (void)createCurrentImageFromView:(id)arg1;
- (void)handleAnimatePageTransition:(id)arg1;
- (void)handleAnimateScrollFromPt:(struct CGPoint)arg1 toPt:(struct CGPoint)arg2;
- (void)handleAnimationProgress;
- (void)animationDidEnd:(id)arg1;
- (CGFloat)animationDuration;
- (void)stopPDFViewAnimation;
*/



/*
- (CGFloat)autoScaleFactor;
- (void)setScaleFactor:(float)scaleFactor anchorPoint:(NSPoint)point;
- (id)history;
- (int)currentHistoryIndex;
- (void)setUsesPageLabels:(BOOL)arg1;
- (BOOL)usesPageLabels;
- (void)setDisplaysTooltips:(BOOL)arg1;
- (BOOL)displaysTooltips;
- (id)facingPageForPage:(id)arg1;
- (void)setBezeled:(BOOL)arg1;
- (BOOL)isBezeled;
- (void)setPageColor:(id)arg1;
- (id)pageColor;
- (void)setInterpolationQuality:(int)arg1;
- (int)interpolationQuality;
- (void)setLineWidthThreshold:(CGFloat)arg1;
- (CGFloat)lineWidthThreshold;
- (id)beginEditingAnnotation:(id)arg1;
- (void)endEditingAnnotation;
- (void)setGutterWidth:(CGFloat)arg1;
- (CGFloat)gutterWidth;
- (CGFloat)defaultGutterWidth;
- (BOOL)automaticallyHandleGutter;
- (void)setDisplaysMarkupAnnotations:(BOOL)arg1;
- (BOOL)displaysMarkupAnnotations;
- (id)textSelectCursor;
- (CGFloat)scheduleSyncPageDelay;
 */

@end


#else


@interface MyPDFView: PDFView
{
}

-(void) test:(id) sender;

@end

#endif




@interface PDFView (PDFViewInternal)
- (void)commonInit;
- (BOOL)runningWithinInterfaceBuilder;
- (void)loadSamplePDF;
- (void)resetDocumentState;
- (PDFDisplayMode)functionalDisplayMode;
- (void)generatePageViewBounds;
- (void)freePageViewBounds;
- (NSSize)viewSizeForPage:(PDFPage*)page;
- (PDFPage*)nearestPageToPoint:(NSPoint)point;
- (NSPoint)originForPageDisplay:(id)arg1;
- (NSRect)normalizedPageBounds:(id)arg1;
- (CGFloat)pageViewHeight:(id)arg1;
- (BOOL)pageIsLeftOfAPair:(id)arg1;
- (CGFloat)autoScaleFactorForPage:(id)arg1;
- (BOOL)page:(id)arg1 isNeighboringPage:(id)arg2;
- (void)setGutterColor:(id)arg1;
- (id)gutterColor;
- (void)setGutterDefaultsToRightSide:(BOOL)arg1;
- (BOOL)gutterDefaultsToRightSide;
- (CGFloat)gutterOffsetForPageDisplay:(id)arg1; 
- (NSRect)gutterBoundsForPage:(id)arg1;
- (void)setDoPeriodicFlush:(BOOL)arg1;
- (BOOL)doPeriodicFlush;
- (void)setPeriodicFlushInterval:(CGFloat)arg1;
- (CGFloat)periodicFlushInterval;
- (BOOL)doDrawPageContent;
- (void)handleInitialContentRenderSkip;
- (void)scheduledRedisplay:(id)arg1;
- (NSUInteger)lastPageIndex;
- (void)appendPasswordUI:(id)arg1;
- (BOOL)passwordUIDisplayed;
- (void)documentWasUnlocked:(id)arg1;
- (void)documentAnnotationsChanged:(id)arg1;
- (void)removePasswordUI:(id)arg1;
- (id)nextPage;
- (id)previousPage;
- (void)goToTopOfNextPage:(id)arg1;
- (void)goToBottomOfPreviousPage:(id)sender;
- (void)pushDestination:(PDFDestination*)dest;
- (void)goToDestinationNoPush:(PDFDestination*)dest;
- (void)goToPageNoPush:(PDFPage*)page;
- (BOOL)isRectVisible:(struct CGRect)arg1 onPage:(id)arg2;
- (void)internalSetScaleFactor:(CGFloat)arg1;
- (void)slamScaleFactor:(CGFloat)arg1;
- (CGFloat)maxScaleFactor;
- (CGFloat)minScaleFactor;
- (BOOL)inhibitDrawing;
- (void)setInhibitDrawing:(BOOL)arg1;
- (void)drawPagePre:(id)arg1;
- (void)drawSelection:(id)arg1 forPage:(id)arg2;
- (void)drawCPSelection:(id)arg1 forPage:(id)arg2;
- (void)createShadowMaskParts;
- (void)drawShadowedRect:(NSRect)rect blur:(float)blur;
- (BOOL)backgroundHasAlpha;
- (void)setAnnotationNeedsDisplay:(id)arg1 padding:(CGFloat)arg2;
- (void)runDataDetectorsOnVisiblePages;
- (void)initInternalViews;
- (void)setupWindowNotifications:(id)arg1;
- (void)selfDidResize:(id)arg1;
- (void)clipViewBoundsChanged:(id)arg1;
- (void)visiblePagesChanged:(id)arg1;
- (void)windowDidChangeKeyState:(id)arg1;
- (void)reflectNewPageOn;
- (void)scheduleSyncPageIndex:(id)arg1;
- (void)cancelScheduleSyncPageIndex;
- (void)syncPageIndexToScrollView;
- (id)determineCurrentPage;
- (NSSize)pageViewSizeForPage:(id)arg1;
- (void)resizeDisplayView:(id)arg1;
- (void)positionInternalViews:(id)arg1;
- (void)constrainedScrollToPoint:(NSPoint)arg1;
- (void)scrollVerticalBy:(CGFloat)arg1;
- (void)scrollHorizontalBy:(CGFloat)arg1;
- (void)scrollByPage:(BOOL)arg1;
- (NSPoint)topOfPage:(PDFPage*)page;
- (NSPoint)bottomOfPage:(PDFPage*)page;
- (NSPoint)scrollOriginForPageTopLeft:(id)arg1;
- (void)findVisiblePages;
- (void)setPopupsAreEditable:(BOOL)arg1;
- (BOOL)popupsAreEditable;
- (void)scanForPopupsUserOpened:(BOOL)arg1;
- (void)layoutPopupViews;
- (void)removeAllPopupViews;
- (void)addPopupView:(id)arg1;
- (void)removePopupView:(id)arg1;
- (void)movePopupToFrontForAnnotation:(id)arg1;
- (void)hitTestPopupViews:(id)arg1;
- (NSRect)popupFrameForAnnotation:(id)arg1;
- (NSRect)popupFrameForAnnotation:(id)arg1 gutterBounds:(struct CGRect)arg2;
- (id)popupViewForAnnotation:(id)arg1;
- (void)positionPopups:(id)arg1 inRect:(struct CGRect)arg2;

//- (float)movePopups:(id)arg1 atAndBeforeIndex:(unsigned int)arg2 upBy:(float)arg3 gutterBounds:(NSRect)arg4 lockedBubbleIndex:(unsigned int *)arg5;

- (void)popupViewMoveToFront:(id)arg1;
- (void)popupViewClose:(id)arg1;
- (void)resetPDFTooltips;
- (void)addTooltipsForVisiblePages;
- (void)addTooltipsForPage:(id)arg1;
- (id)view:(id)arg1 stringForToolTip:(long long)arg2 point:(struct CGPoint)arg3 userData:(void *)arg4;
- (void)scrollToSelection:(id)arg1;
- (void)invalidateSelectionBounds:(id)arg1;
- (BOOL)selectedTextActive;
- (void)internalClearSelection;
- (void)animateTransitionFromPage:(id)arg1 toPage:(id)arg2;
- (void)endPageTransition:(id)arg1 context:(void *)arg2;
- (unsigned int)scrollEntryPoint;
- (BOOL)shouldAnimateScroll;
- (BOOL)animateNeighboringPageChangeOnly;
- (CGFloat)maximumScrollAnimationDistance;
- (void)setAnimateFlag:(unsigned int)arg1;
- (unsigned int)animateFlag;
- (void)startAnimateZoomToScaleFactor:(CGFloat)arg1;
- (BOOL)suspendRendering;
- (void)createTransition:(int)arg1 forView:(id)arg2;
- (void)createCurrentImageFromView:(id)arg1;
- (void)handleAnimatePageTransition:(id)arg1;
- (void)handleAnimateScrollFromPt:(struct CGPoint)arg1 toPt:(struct CGPoint)arg2;
- (void)handleAnimationProgress;
- (void)animationDidEnd:(id)arg1;
- (CGFloat)animationDuration;
- (void)stopPDFViewAnimation;
@end

