#import <Cocoa/Cocoa.h>
#import <MyPDFView.h>



@interface MyPDFView (MyPDFViewInternal) 

- (void)commonInit;
- (BOOL)runningWithinInterfaceBuilder;
- (void)loadSamplePDF;
- (void)resetDocumentState;
- (PDFDisplayMode)functionalDisplayMode;
- (void)generatePageViewBounds;
- (void)freePageViewBounds;
- (NSSize)viewSizeForPage:(PDFPage*)page;
- (PDFPage*)nearestPageToPoint:(NSPoint)point;
- (NSPoint)originForPageDisplay:(PDFPage*)page;
- (NSRect)normalizedPageBounds:(PDFPage*)page;
- (float)pageViewHeight:(PDFPage*)arg1;
- (BOOL)pageIsLeftOfAPair:(PDFPage*)arg1;
- (float)autoScaleFactorForPage:(PDFPage*)arg1;
- (BOOL)page:(PDFPage*)arg1 isNeighboringPage:(PDFPage*)arg2;
- (void)setGutterColor:(PDFPage*)arg1;
- (NSColor*)gutterColor;
- (void)setGutterDefaultsToRightSide:(BOOL)arg1;
- (BOOL)gutterDefaultsToRightSide;
- (float)gutterOffsetForPageDisplay:(PDFPage*)arg1; 
- (NSRect)gutterBoundsForPage:(PDFPage*)arg1;
- (void)setDoPeriodicFlush:(BOOL)arg1;
- (BOOL)doPeriodicFlush;
- (void)setPeriodicFlushInterval:(float)arg1;
- (float)periodicFlushInterval;
- (BOOL)doDrawPageContent;
- (void)handleInitialContentRenderSkip;
- (void)scheduledRedisplay:(id)sender;
- (unsigned int)lastPageIndex;
- (void)appendPasswordUI:(id)sender;
- (BOOL)passwordUIDisplayed;
- (void)documentWasUnlocked:(id)arg1;
- (void)documentAnnotationsChanged:(id)arg1;
- (void)removePasswordUI:(id)arg1;
- (id)nextPage;
- (id)previousPage;
- (void)goToTopOfNextPage:(id)arg1;
- (void)goToBottomOfPreviousPage:(id)sender;
- (void)pushDestination:(PDFDestination*)dest;
- (void)goToDestinationNoPush:(PDFDestination*)dest;
- (void)goToPageNoPush:(PDFPage*)page;
- (BOOL)isRectVisible:(NSRect)arg1 onPage:(id)arg2;
- (void)slamScaleFactor:(float)arg1;
- (float)maxScaleFactor;
- (float)minScaleFactor;
- (BOOL)inhibitDrawing;
- (void)setInhibitDrawing:(BOOL)arg1;
- (void)drawPagePre:(id)arg1;
- (void)drawSelection:(id)arg1 forPage:(id)arg2;
- (void)drawCPSelection:(id)arg1 forPage:(id)arg2;
- (void)createShadowMaskParts;
- (void)drawShadowedRect:(NSRect)rect blur:(float)blur;
- (BOOL)backgroundHasAlpha;
- (void)setAnnotationNeedsDisplay:(id)arg1 padding:(float)arg2;
- (void)runDataDetectorsOnVisiblePages;
- (void)initInternalViews;
- (void)setupWindowNotifications:(id)arg1;
- (void)selfDidResize:(id)arg1;
- (void)clipViewBoundsChanged:(id)arg1;
- (void)visiblePagesChanged:(id)arg1;
- (void)windowDidChangeKeyState:(id)arg1;
- (void)reflectNewPageOn;
- (void)scheduleSyncPageIndex:(id)arg1;
- (void)cancelScheduleSyncPageIndex;
- (void)syncPageIndexToScrollView;
- (id)determineCurrentPage;
- (NSSize)pageViewSizeForPage:(id)arg1;
- (void)resizeDisplayView:(id)arg1;
- (void)positionInternalViews:(id)arg1;
- (void)constrainedScrollToPoint:(NSPoint)arg1;
- (void)scrollVerticalBy:(float)arg1;
- (void)scrollHorizontalBy:(float)arg1;
- (void)scrollByPage:(BOOL)arg1;
- (NSPoint)topOfPage:(PDFPage*)page;
- (NSPoint)bottomOfPage:(PDFPage*)page;
- (NSPoint)scrollOriginForPageTopLeft:(id)arg1;
- (void)findVisiblePages;
- (void)setPopupsAreEditable:(BOOL)arg1;
- (BOOL)popupsAreEditable;
- (void)scanForPopupsUserOpened:(BOOL)arg1;
- (void)layoutPopupViews;
- (void)removeAllPopupViews;
- (void)addPopupView:(id)arg1;
- (void)removePopupView:(id)arg1;
- (void)movePopupToFrontForAnnotation:(id)arg1;
- (void)hitTestPopupViews:(id)arg1;
- (NSRect)popupFrameForAnnotation:(id)arg1;
- (NSRect)popupFrameForAnnotation:(id)arg1 gutterBounds:(NSRect)arg2;
- (id)popupViewForAnnotation:(id)arg1;
- (void)positionPopups:(id)arg1 inRect:(NSRect)arg2;

- (float)movePopups:(id)arg1 atAndBeforeIndex:(unsigned int)arg2 upBy:(float)arg3 gutterBounds:(NSRect)arg4 lockedBubbleIndex:(unsigned int *)arg5;

- (void)popupViewMoveToFront:(id)arg1;
- (void)popupViewClose:(id)arg1;
- (void)resetPDFTooltips;
- (void)addTooltipsForVisiblePages;
- (void)addTooltipsForPage:(id)arg1;
- (id)view:(id)arg1 stringForToolTip:(long)arg2 point:(NSPoint)arg3 userData:(void *)arg4;
- (void)scrollToSelection:(id)arg1;
- (void)invalidateSelectionBounds:(id)arg1;
- (BOOL)selectedTextActive;
- (void)internalClearSelection;
- (void)animateTransitionFromPage:(id)arg1 toPage:(id)arg2;
- (void)endPageTransition:(id)arg1 context:(void *)arg2;
- (unsigned int)scrollEntryPoint;
- (BOOL)shouldAnimateScroll;
- (BOOL)animateNeighboringPageChangeOnly;
- (float)maximumScrollAnimationDistance;
- (void)setAnimateFlag:(unsigned int)arg1;
- (unsigned int)animateFlag;
- (void)startAnimateZoomToScaleFactor:(float)arg1;
- (BOOL)suspendRendering;
- (void)createTransition:(int)arg1 forView:(id)arg2;
- (void)createCurrentImageFromView:(id)arg1;
- (void)handleAnimatePageTransition:(id)arg1;
- (void)handleAnimateScrollFromPt:(NSPoint)arg1 toPt:(NSPoint)arg2;
- (void)handleAnimationProgress;
- (void)animationDidEnd:(id)arg1;
- (float)animationDuration;
- (void)stopPDFViewAnimation;


@end

extern NSString* PDFViewLastVisiblePage;
extern NSString* PDFViewFirstVisiblePage;
extern NSString* PDFViewWasLastVisiblePage;
extern NSString* PDFViewWasFirstVisiblePage;
extern NSString* PDFViewVisiblePagesChangedNotification;
extern NSString* PDFViewChangedPageNotification;
extern NSString* PDFViewDidLayoutDocumentViewNotification;
extern NSString* PDFDocumentAnnotationsChangedNotification;
extern NSString* PDFViewChangedDocumentNotification;

