#import <Cocoa/Cocoa.h>
#import <MyPDFView.h>


@class 
	MyPDFView,
	MyPDFMatteView, 
	MyPDFDisplayView, 
	PDFViewController, 
	PDFPageTransition, 
	PDFCoachMarkController, 
	PDFPopupView,
	PDFDocument,
	PDFSelection,
	PDFAnnotation,
	PDFPage;


@interface PDFViewPrivateVars : NSObject
{
@public
    PDFDocument *pdfDoc;
    NSScrollView *scrollView;
    MyPDFMatteView *matteView;
    MyPDFDisplayView *pagesView;
    NSColor *matteColor;
    BOOL matteColorHasAlpha;
    NSColor *pageColor;
    BOOL pageColorHasAlpha;
    int displayMode;
    unsigned int currentPageIndex;
    BOOL displaysPageBreaks;
    BOOL displaysAsBook;
    BOOL antiAliasing;
    float greekingThreshold;
    float lineWidthThreshold;
    int interpolation;
    id delegate;
    BOOL delegateWillScale;
    BOOL delegateOrdersPageDrawing;
    float scaleFactor;
    float maxScaleFactor;
    float minScaleFactor;
    float zoomIncrement;
    BOOL autoScale;
    BOOL scaling;
    int displayBox;
    float gutterWide;
    float defaultGutterWidth;
    NSColor *gutterColor;
    BOOL gutterOnRight;
    struct _NSSize singlePageContSize;
    struct _NSSize twoUpContSize;
	NSRect __strong *pageViewBounds;
    BOOL useLogicalPageLabels;
    PDFViewController *controller;
    BOOL inhibitAutoScroll;
    BOOL inhibitDrawing;
    PDFSelection *currentSelection;
    NSArray *highlights;
    double flushInterval;
    BOOL periodicFlush;
    double cachingThreshold;
    BOOL showTooltips;
    char *addedTooltips;
    NSMutableArray *destinationHistory;
    int historyIndex;
    BOOL allowsDragging;
    BOOL scheduledPageSync;
    NSTimer *redrawTimer;
    BOOL drawPageContent;
    PDFAnnotation *annotationOver;
    int wasDisplayMode;
    NSColor *wasMatteColor;
    BOOL wasAutoScale;
    BOOL passwordViewUp;
    unsigned int animateFlag;
    unsigned int scrollEntry;
    PDFPage *fromPage;
    PDFPageTransition *transition;
    float initialScaleFactor;
    float finalScaleFactor;
    BOOL suspendRendering;
    struct _NSRect animationRect;
    NSAnimation *pageAnimation;
    CIFilter *transitionFilter;
    CIImage *currentImage;
    CIImage *inputShadingImage;
    int animatingAttribute;
    struct _NSPoint initialScrollOrigin;
    struct _NSPoint finalScrollOrigin;
    BOOL bezeled;
    BOOL windowNotifications;
    struct CGImage *shadowLowerLeft;
    struct CGImage *shadowLowerRight;
    struct CGImage *shadowUpperLeft;
    struct CGImage *shadowUpperRight;
    struct CGImage *shadowCenterLeft;
    struct CGImage *shadowCenterRight;
    struct CGImage *shadowLowerCenter;
    void *getTermRangeProc;
    void *showDictionaryProc;
    NSMutableArray *popupViews;
    PDFAnnotation *activePopupAnnotation;
    BOOL popupsEditable;
    BOOL displaysMarkups;
    unsigned int firstVisiblePage;
    unsigned int lastVisiblePage;
    PDFCoachMarkController *coachMarkController;
    BOOL initialBringUp;
    NSTrackingArea *trackingArea;
    NSCursor *cursorOnMouseEntered;
    BOOL doRunDataDetectors;
}
@end


@interface MyPDFView (MyPDFViewPrivate)
- (float)autoScaleFactor;
- (void)setScaleFactor:(float)scaleFactor anchorPoint:(NSPoint)point;
- (id)history;
- (int)currentHistoryIndex;
- (void)setUsesPageLabels:(BOOL)arg1;
- (BOOL)usesPageLabels;
- (void)setDisplaysTooltips:(BOOL)arg1;
- (BOOL)displaysTooltips;
- (id)facingPageForPage:(id)arg1;
- (void)setBezeled:(BOOL)arg1;
- (BOOL)isBezeled;
- (void)setPageColor:(id)arg1;
- (NSColor*)pageColor;
- (void)setInterpolationQuality:(int)arg1;
- (int)interpolationQuality;
- (void)setLineWidthThreshold:(float)arg1;
- (float)lineWidthThreshold;
- (id)beginEditingAnnotation:(id)arg1;
- (void)endEditingAnnotation;
- (void)setGutterWidth:(CGFloat)arg1;
- (float)gutterWidth;
- (float)defaultGutterWidth;
- (BOOL)automaticallyHandleGutter;
- (void)setDisplaysMarkupAnnotations:(BOOL)arg1;
- (BOOL)displaysMarkupAnnotations;
- (id)textSelectCursor;
- (float)scheduleSyncPageDelay;
@end

